Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface OfflineMessageListener

    public interface OfflineMessageListener

Interface to listen for offline message events. Use the `OfflineMessageStrategy.addListener(OfflineMessageListener)` method to register for events.

Author:
  Gaston Dombiak

Method Summary
`void` | `messageBounced(Message message)` Notification message indicating that a message was not stored offline but bounced back to the sender.
`void` | `messageStored(Message message)` Notification message indicating that a message was stored offline since the target entity was not online at the moment.

Method Detail

### messageBounced

    void messageBounced(Message message)

  Notification message indicating that a message was not stored offline but bounced back to the sender.

  Parameters:
    `message` - the message that was bounced.

### messageStored

    void messageStored(Message message)

  Notification message indicating that a message was stored offline since the target entity was not online at the moment.

  Parameters:
    `message` - the message that was stored offline.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.